Bug 200667 - sound on board is not installed
Summary: sound on board is not installed
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-30 10:54 UTC by Andreas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 15:37:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file (12.01 KB, application/octet-stream)
2006-08-04 13:50 UTC, Andreas
no flags Details

Description Andreas 2006-07-30 10:54:04 UTC
Description of problem:
my sound on board is not installed and i don't know if i am allowed to where to
report. so i just try it here.

scsound.log
------- System Config Soundcard --------
So 30. Jul 12:51:46 CEST 2006

------- lspci --------
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev 22)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 1b)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 0e)
00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 20)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio
Controller (rev 21)
00:09.0 Ethernet controller: Compex RL100-ATX 10/100
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP (rev 7a)

------- lsmod --------
Module                  Size  Used by
autofs4                21701  1 
hidp                   16833  2 
rfcomm                 37333  0 
l2cap                  23873  10 hidp,rfcomm
bluetooth              47909  5 hidp,rfcomm,l2cap
sunrpc                157309  1 
ip_conntrack_netbios_ns     3265  0 
ipt_REJECT              5569  1 
xt_state                2497  2 
ip_conntrack           52597  2 ip_conntrack_netbios_ns,xt_state
nfnetlink               7257  1 ip_conntrack
xt_tcpudp               3393  4 
iptable_filter          3265  1 
ip_tables              12809  1 iptable_filter
x_tables               14917  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
acpi_cpufreq            7497  0 
video                  16709  0 
button                  6993  0 
battery                10053  0 
ac                      5189  0 
ipv6                  243169  12 
lp                     12937  0 
uhci_hcd               23885  0 
snd_via82xx            28377  0 
gameport               16201  1 snd_via82xx
snd_ac97_codec         92257  1 snd_via82xx
snd_ac97_bus            2625  1 snd_ac97_codec
snd_seq_dummy           4165  0 
snd_seq_oss            32705  0 
snd_seq_midi_event      7745  1 snd_seq_oss
snd_seq                53553  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            40017  0 
snd_mixer_oss          17729  1 snd_pcm_oss
floppy                 58437  0 
snd_pcm                83781  3 snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_timer              24517  2 snd_seq,snd_pcm
snd_page_alloc         10569  2 snd_via82xx,snd_pcm
snd_mpu401_uart         8769  1 snd_via82xx
snd_rawmidi            25665  1 snd_mpu401_uart
snd_seq_device          9037  4 snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
snd                    55237  11
snd_via82xx,snd_ac97_codec,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore              10017  1 snd
parport_pc             27237  1 
parport                37129  2 lp,parport_pc
via686a                16713  0 
hwmon                   3653  1 via686a
i2c_isa                 5569  1 via686a
i2c_viapro              8789  0 
i2c_core               22209  3 via686a,i2c_isa,i2c_viapro
winbond_840            23625  0 
mii                     5697  1 winbond_840
dm_snapshot            18541  0 
dm_zero                 2497  0 
dm_mirror              22929  0 
dm_mod                 59737  6 dm_snapshot,dm_zero,dm_mirror
ext3                  129737  1 
jbd                    58069  1 ext3

------- /etc/modprobe.conf --------
alias eth0 winbond-840
remove snd-via82xx { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx
options snd-es18xx index=0
remove snd-es18xx { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-es18xx
alias snd-card-0 snd-via82xx
options snd-card-0 index=0

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0 
defaults.ctl.card 0 

------- aplay -l --------
aplay: device_list:222: no soundcards found...

------- amixer --------


------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.11rc4 (Wed Mar 22 10:27:24
2006 UTC).

------- rpm -q alsa-lib --------
alsa-lib-1.0.11-4.rc2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------


------- /proc/asound/pcm --------


------- system-config-soundcard --------

Wrong card index 0...
/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
aplay: main:547: audio open error: Kein passendes Gerät gefunden

Comment 1 John (J5) Palmieri 2006-07-31 17:55:48 UTC
Alsa problem, configuration problem or bug in system-config-soundcard? 
Reassigning to system-config-soundcard as the bugs starts there.

Comment 2 Martin Stransky 2006-08-01 05:30:23 UTC
Could you please attach output of dmesg?

Comment 3 Andreas 2006-08-01 06:52:11 UTC
i am not a real "linux-insider" and so i just checked for dmesg online. i think
i found the right information "dmesg is a kernel log viewer. You can find
hardware-, filssystem and other errors." (less /var/log/dmesg or
dmesg.yesterday). will see this evening ... now i have to got to the doctor.
thanks for your support.

Comment 4 Andreas 2006-08-04 13:50:23 UTC
Created attachment 133635 [details]
dmesg file

a bit late but here is the dmesg file

Comment 5 Martin Stransky 2006-08-04 15:37:39 UTC
There is a problem with driver for your card:

codec_read: codec 0 is not valid [0x1fc0000]
codec_read: codec 0 is not valid [0x1fe0000]
codec_ready: codec 0 is not ready [0x1000000]
codec_ready: codec 0 is not ready [0x1000000]
codec_read: codec 0 is not valid [0x1fc0000]
codec_read: codec 0 is not valid [0x1fe0000]
AC'97 0 access is not valid [0xffffffff], removing mixer.
VIA 82xx Audio: probe of 0000:00:07.5 failed with error -5

Please report this bug to ALSA project (www.alsa-project.org), they're authors
of linux sound subsystem. And attach there all important information
(scsound.log file, dmesg file, output of "lspci -nv")


Comment 6 Martin Stransky 2006-08-04 15:39:15 UTC
Or you can check the latest drivers for your card, how-to is here:

http://people.redhat.com/stransky/alsa


Note You need to log in before you can comment on or make changes to this bug.